Bug 1540978 - RFE: ConfigMap injection into [builds] /
Summary: RFE: ConfigMap injection into [builds] /
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.0
Assignee: Adam Kaplan
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-01 12:59 UTC by vfiesing
Modified: 2018-10-11 07:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: ConfigMap Build Sources Reason: use ConfigMaps as a build source, which are transparent and easier to maintain than secrets Result: ConfigMaps can be injected into any OpenShift build
Clone Of:
Environment:
Last Closed: 2018-10-11 07:19:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2652 None None None 2018-10-11 07:19:41 UTC

Description vfiesing 2018-02-01 12:59:13 UTC
As a user of OpenShift
I want to leverage ConfigMaps
So that I can inject config/secrets into my builds.

 https://trello.com/c/9HjBzhsj/1470-configmap-injection-into-builds

Comment 1 Simon Gunzenreiner 2018-03-15 08:58:24 UTC
Maybe a different feature request, but it should also be possible to mount secrets.

Use case: protected library repositories like Nexus/Artifactory to download libraries used during the build

Comment 2 Adam Kaplan 2018-05-07 12:09:13 UTC
Source-to-image PR: https://github.com/openshift/source-to-image/pull/866
Include s2i update in origin PR: https://github.com/openshift/origin/pull/19627
API update PR: https://github.com/openshift/api/pull/43

Comment 3 Adam Kaplan 2018-06-19 20:36:31 UTC
origin PR: https://github.com/openshift/origin/pull/19655

Comment 4 openshift-github-bot 2018-06-22 18:22:30 UTC
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/1239d1f8376dedb57eef8e545b511d2cf4fa1678
build: add origin ConfigMap build source types

RFE/bug 1540978

https://github.com/openshift/origin/commit/0d0ebdf90a0e96f44c966df926ef149e2dcfa294
update-api

* update deepcopy and converters
* update swagger and protobuf spec

RFE/bug 1540978

https://github.com/openshift/origin/commit/9be6877c3d62a3f48e9bc0bbe882be5544ab0e26
build: add ConfigMap build sources

RFE/bug 1540978

Comment 5 Adam Kaplan 2018-06-25 18:38:35 UTC
oc PR in origin: https://github.com/openshift/origin/pull/20064

Comment 6 openshift-github-bot 2018-07-09 01:40:14 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/07cc8ecc52092ace3ded2d1787f5c3a030b836c7
oc: add configmaps to build via cli

RFE/bug 1540978

Comment 7 XiuJuan Wang 2018-08-13 02:25:25 UTC
This feature has included from ocp v3.11.0.10 version.

Comment 9 errata-xmlrpc 2018-10-11 07:19:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2652


Note You need to log in before you can comment on or make changes to this bug.